function Dice_Load()
  print("\124cFFFF0000[Liar's Dice] \124cFFFFFFFFLoaded. \124cFFFFFF00Faylina is a fine, honest lady.");
  print("\124cFFFF0000[Liar's Dice] \124cFFFFFFFFType \124cFFFFFF00/dice help\124cFFFFFFFF for instructions.");
  LastDice=" ";
 end
SLASH_LIARSDICE1, SLASH_LIARSDICE2 = '/ld', '/dice';
local function handler(msg, editbox)

local command, arg1, arg2, arg3 = strsplit(" ",msg)

	if tonumber(command) and tonumber(arg1) then
		RollDice(command, arg1);
	elseif tonumber(command) then
		RollDice(command, 6);
	elseif command=="help" then
		print("\124cFFFF0000[Liar's Dice]\124cFFFFFFFF Type \124cFFFFFF00/dice X Y\124cFFFFFFFF or \124cFFFFFF00/ld X Y\124cFFFFFFFF \124cFFFFFF00");
		print("\124cFFFF0000[Liar's Dice]\124cFFFFFFFF X stands for the amount of dice rolled. \124cFFFFFF00");
		print("\124cFFFF0000[Liar's Dice]\124cFFFFFFFF Y stands for the amount of eyes on the dice \124cFFFFFF00(defaults to 6 if left blank). \124cFFFFFF00");
		print("\124cFFFF0000[Liar's Dice]\124cFFFFFFFF Type \124cFFFFFF00/dice last\124cFFFFFFFF \124cFFFFFFFFto print your last roll again in your chatwindow (for yourself).");
		print("\124cFFFF0000[Liar's Dice]\124cFFFFFFFF Type \124cFFFFFF00/dice reveal\124cFFFFFFFF \124cFFFFFFFFto reveal your last dice rolled in an emote for everyone to see.");
	elseif command =="reveal" then
		if GetDice()==" " then
			print("\124cFFFF0000[Liar's Dice]\124cFFFFFFFF You must roll first before you can reveal your dice! Try \124cFFFFFF00/dice help\124cFFFFFFFF.\124cFFFFFF00");
		else
			SendChatMessage("reveals: " ..GetDice()..".", "EMOTE", DEFAULT_CHAT_FRAME.editBox.languageID);
		end
	elseif command =="last" then
		if GetDice()==" " then
			print("\124cFFFF0000[Liar's Dice]\124cFFFFFFFF You must've rolled first before you can see your previous roll! Try \124cFFFFFF00/dice help\124cFFFFFFFF.\124cFFFFFF00");
		else
			print("\124cFFFF0000[Liar's Dice]\124cFFFFFFFF You rolled: \124cFFFFFF00"..GetDice())
		end
	else
		print("\124cFFFF0000[Liar's Dice]\124cFFFFFFFF Invalid parameters, type \124cFFFFFF00/dice help\124cFFFFFFFF for additional info. \124cFFFFFF00");
	end
end
SlashCmdList["LIARSDICE"] = handler; 

function RollDice(msg, eyes)
	stringRoll = "\124cFFFF0000[Liar's Dice]\124cFFFFFFFF You rolled: \124cFFFFFF00";
	stringDice = "";
	
	for i = 1, msg do
		stringDice = stringDice .. " " .. math.random(eyes);
		i = i + 1;
	end
	SaveDice(stringDice);
	print(stringRoll .. stringDice);
	
end

function SaveDice(stringDice)
	LastDice = stringDice;	
end

function GetDice()
	return LastDice;
end

